=== debian/changelog ===
plasma-desktop (4:5.18.8-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.8) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:40:28 +0000

plasma-desktop (4:5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:16:55 +0100
