=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.66.0~),
-               breeze-dev (>= 4:5.18.8~),
+Build-Depends: baloo-kf5-dev (>= 5.70.0~),
+               breeze-dev (>= 4:5.19.5~),
                cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               kded5-dev (>= 5.66.0~),
-               kinit-dev (>= 5.66.0~),
-               kscreenlocker-dev (>= 5.18.4~),
-               kwin-dev (>= 4:5.18.7~),
+               extra-cmake-modules (>= 5.70.0~),
+               kded5-dev (>= 5.70.0~),
+               kinit-dev (>= 5.70.0~),
+               kscreenlocker-dev (>= 5.19.5~),
+               kwin-dev (>= 4:5.19.5~),
                libappstreamqt-dev (>= 0.12),
                libboost-dev,
                libcanberra-dev,
@@ -19,34 +19,34 @@
                libfreetype6-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.66.0~),
-               libkf5activitiesstats-dev (>= 5.66.0~),
-               libkf5attica-dev (>= 5.66.0~),
-               libkf5auth-dev (>= 5.66.0~),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5dbusaddons-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5doctools-dev (>= 5.66.0~),
-               libkf5emoticons-dev (>= 5.66.0~),
-               libkf5globalaccel-dev (>= 5.66.0~),
-               libkf5guiaddons-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5itemmodels-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5kdelibs4support-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5newstuff-dev (>= 5.66.0~),
-               libkf5notifications-dev (>= 5.66.0~),
-               libkf5notifyconfig-dev (>= 5.66.0~),
-               libkf5people-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5runner-dev (>= 5.66.0~),
-               libkf5sysguard-dev (>= 4:5.18.4~),
-               libkf5wallet-dev (>= 5.66.0~),
-               libkf5widgetsaddons-dev (>= 5.66.0~),
-               libkf5windowsystem-dev (>= 5.66.0~),
-               libkf5xmlgui-dev (>= 5.66.0~),
+               libkf5activities-dev (>= 5.70.0~),
+               libkf5activitiesstats-dev (>= 5.70.0~),
+               libkf5attica-dev (>= 5.70.0~),
+               libkf5auth-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5doctools-dev (>= 5.70.0~),
+               libkf5emoticons-dev (>= 5.70.0~),
+               libkf5globalaccel-dev (>= 5.70.0~),
+               libkf5guiaddons-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5itemmodels-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5kdelibs4support-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
+               libkf5notifyconfig-dev (>= 5.70.0~),
+               libkf5people-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5runner-dev (>= 5.70.0~),
+               libkf5sysguard-dev (>= 4:5.19.5~),
+               libkf5wallet-dev (>= 5.70.0~),
+               libkf5widgetsaddons-dev (>= 5.70.0~),
+               libkf5windowsystem-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
@@ -72,7 +72,7 @@
                openbox,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.8~),
+               plasma-workspace-dev (>= 4:5.19.5~),
                qtbase5-dev (>= 5.10.0~),
                qtdeclarative5-dev (>= 5.10.0~),
                xauth,
@@ -126,18 +126,18 @@
 
 Package: plasma-desktop
 Architecture: any
-Depends: breeze (>= 4:5.18.0),
-         kactivitymanagerd (>= 5.18.0),
-         kde-cli-tools (>= 4:5.18.0),
+Depends: breeze (>= 4:5.19.0~),
+         kactivitymanagerd (>= 5.19.0~),
+         kde-cli-tools (>= 4:5.19.0~),
          kded5,
          kio,
          libappstreamqt2,
-         oxygen-sounds (>= 4:5.18.0),
+         oxygen-sounds (>= 4:5.19.0~),
          plasma-desktop-data (= ${source:Version}),
          plasma-framework (>= 5.54.0~),
-         plasma-integration (>= 5.18.0),
-         plasma-workspace (>= 4:5.18.0),
-         polkit-kde-agent-1 (>= 4:5.18.0),
+         plasma-integration (>= 5.19.0~),
+         plasma-workspace (>= 4:5.19.0~),
+         polkit-kde-agent-1 (>= 4:5.19.0~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kirigami2 (>= 5.54.0~),
@@ -150,37 +150,37 @@
          qml-module-qt-labs-settings,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: bluedevil (>= 4:5.18.0),
-            breeze-gtk-theme (>= 5.18.0),
+Recommends: bluedevil (>= 4:5.19.0~),
+            breeze-gtk-theme (>= 5.19.0~),
             fonts-hack,
             fonts-noto-cjk,
             fonts-noto-hinted,
             fonts-noto-mono,
             fonts-noto-unhinted,
             ibus-data,
-            kde-config-gtk-style (>= 4:5.18.0),
-            kde-config-screenlocker (>= 5.18.0),
-            kde-config-sddm (>= 4:5.18.0),
-            kde-style-oxygen-qt5 (>= 4:5.18.0),
-            kgamma5 (>= 5.18.0),
+            kde-config-gtk-style (>= 4:5.19.0~),
+            kde-config-screenlocker (>= 5.19.0~),
+            kde-config-sddm (>= 4:5.19.0~),
+            kde-style-oxygen-qt5 (>= 4:5.19.0~),
+            kgamma5 (>= 5.19.0~),
             khelpcenter,
-            khotkeys (>= 4:5.18.0),
-            kinfocenter (>= 4:5.18.0),
+            khotkeys (>= 4:5.19.0~),
+            kinfocenter (>= 4:5.19.0~),
             kio-extras,
-            kmenuedit (>= 4:5.18.0),
-            kscreen (>= 4:5.18.0),
-            ksshaskpass (>= 4:5.18.0),
-            ksysguard (>= 4:5.18.0),
-            kwin-x11 (>= 4:5.18.0) | kwin,
-            kwrited (>= 4:5.18.0),
-            libpam-kwallet5 (>= 5.18.0),
+            kmenuedit (>= 4:5.19.0~),
+            kscreen (>= 4:5.19.0~),
+            ksshaskpass (>= 4:5.19.0~),
+            ksysguard (>= 4:5.19.0~),
+            kwin-x11 (>= 4:5.19.0~) | kwin,
+            kwrited (>= 4:5.19.0~),
+            libpam-kwallet5 (>= 5.19.0~),
             plasma-browser-integration,
-            plasma-discover (>= 5.18.0),
-            plasma-pa (>= 4:5.18.0),
+            plasma-discover (>= 5.19.0~),
+            plasma-pa (>= 4:5.19.0~),
             plasma-thunderbolt,
-            powerdevil (>= 4:5.18.0),
-            systemsettings (>= 4:5.18.0),
-            user-manager (>= 4:5.18.0),
+            powerdevil (>= 4:5.19.0~),
+            systemsettings (>= 4:5.19.0~),
+            user-manager (>= 4:5.19.0~),
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
         kde-config-touchpad (<< 4:5),
@@ -210,30 +210,30 @@
 Architecture: all
 Depends: python3, ${misc:Depends}
 Recommends: plasma-framework (>> 5.22),
-            plasma-workspace (>= 4:5.18.0),
+            plasma-workspace (>= 4:5.19.0~),
             qml-module-org-kde-activities,
             qml-module-org-kde-kcm,
             qml-module-org-kde-kwindowsystem,
             qml-module-qtquick-dialogs,
 Breaks: baloo-kf5 (<< 5.5),
         kactivities,
-        kde-config-gtk-style (<< 4:5.18.0~),
+        kde-config-gtk-style (<< 4:5.19.0~),
         kde-config-touchpad (<< 4:5),
         kde-workspace-bin,
         kde-workspace-data,
         kdeplasma-addons-data (<< 4:5.15.80~),
-        plasma-desktop (<< 4:5.18.0),
+        plasma-desktop (<< 4:5.19.0~),
         plasma-widgets-addons (<< 4:5.15.80~),
         plasma-widget-kimpanel,
         ${kde-l10n:all},
 Replaces: baloo-kf5 (<< 5.5),
           kactivities,
-          kde-config-gtk-style (<< 4:5.18.0~),
+          kde-config-gtk-style (<< 4:5.19.0~),
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
           kdeplasma-addons-data (<< 4:5.15.80~),
-          plasma-desktop (<< 4:5.18.0),
+          plasma-desktop (<< 4:5.19.0~),
           plasma-widgets-addons (<< 4:5.15.80~),
           plasma-widget-kimpanel,
           ${kde-l10n:all},
